您的位置: 旅游网 > 网红

(图)Linux更新工具:Yumex&yum

发布时间:2019-12-04 14:03:26

Yum工具是用于更新Linux的最常用使用工具之一。问题是它不能保证总是能够正常工作。本文为我们介绍了另一更好的替代工具yumex。

我使用基于Red Hat的Linux发行版本已经有很长一段时间了。大多数情况下,我使用Red Hat包管理系统(RPM)安装、移除和更新软件包。我仍旧使用RPM,但仅在yum失效时。不过yum很少出现实效情况除了更新迟一些。幸运的是,当提到Linux的更新时,yum不是唯一的选项。

问题提出

对KDE的最近一次更新是我陷入了困惑。当我试图运行yum更新时,我会得到所有新更新的软件包,其中有很多可以获得的KDE更新包。但是当运行更新时,结果却发现释放的更新包带给我的是大量严重的KDE问题。当释放更新包时,得到的反应信息如下:

Transaction Check Error: file /etc/kderc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/clockappletrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/kcmnspluginrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/kdeglobals from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/kdesktoprc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/kickerrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/konquerorrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/ksplashrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/kwinrc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

file /usr/share/config/profilerc from install of kdebase-3.5.6-0.1.fc6 conflicts with file from package kde-config-3.5-15.fc6

猜你会喜欢的
猜你会喜欢的